Create a schedule call

This API allows you to create a new schedule call.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Sample Request

This API allows you to create a new schedule call.

curl --request POST \
     --url https://api-smartflo.tatateleservices.com/v1/schedule_call \
     --header 'accept: application/json' \
     --header 'content-type: application/json'

📘Important

Before we begin, note that the * sign denotes the mandatory variables in each table.

Request Variables (Body Params)

Variable NameDescriptionData Type
customer_nameName of the customerString
customer_numberPhone number of the customer.String
schedule_callback_date_timeDate and time of the scheduled call, format: y-m-d H:i:sString
schedule_callback_textNote for the scheduled callString
assigned_toUnique ID of the agent it is assigned to.String
call_end_min.For how much time the call is to be scheduled for.String

Response Variables

After the execution of the API, you will get the following response:

Variable NameDescriptionData Type
successThe request success status, the possible values are: True (default) for success. False for failure.Boolean
messageThe message corresponding to the success status. For example, in 400 Response where the "success" variable pops as True, the message displayed is shown here.String
Body Params
string

Name of the customer

string

Phone number of the customer

string
required

Date and Time of the scheduled call, format: Y-m-d H:i:s

string

Note for the scheduled call.

string

Unique ID of the agent.

string

For how much time the call is to be scheduled for

Headers
string
required
Responses

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json